// 模块模型-项目
// 秒寻科技
// zt 2024-02-03

package projectmodel

import "ipsomc/core/dao/mysql/mysqlmodel"

// 公司项目模型（一家公司，可以有多个项目）
type Project struct {
	mysqlmodel.BaseModelDB
	Name       string `json:"name" gorm:"size:64"`              //名称
	BuildNum   int    `json:"build_num" gorm:"default:1"`       //建筑物数量
	BuildArea  int    `json:"build_area" gorm:"default:1"`      //建筑面积
	Desc       string `json:"desc" gorm:"size:text"`            //建筑描述
	DomainName string `json:"domain_name" gorm:"size:32;index"` //公司二级域名，全系统唯一，由平台管理员负责维护
}
